Method: people.getBatchGet

指定要求的資源名稱清單,提供特定使用者清單的相關資訊。使用 people/me 表示已通過驗證的使用者。

如果未指定「personFields」,要求會傳回 400 錯誤。

HTTP 要求

GET https://people.googleapis.com/v1/people:batchGet

這個網址使用 gRPC 轉碼語法。

查詢參數

參數
resourceNames[]

string

必要欄位。要提供資訊的使用者資源名稱。可重複執行。網址查詢參數應為

resourceNames=<name1>&resourceNames=<name2>&...

  • 如要取得已驗證使用者的相關資訊,請指定 people/me
  • 如要取得 Google 帳戶的相關資訊,請指定 people/{account_id}
  • 如要取得聯絡人相關資訊,請指定 people.connections.list 傳回的用於識別聯絡人的資源名稱。

最多可輸入 200 個資源名稱。

requestMask
(deprecated)

object (RequestMask)

已淘汰 (請改用 personFields)

遮罩,用於將結果限制在部分人物欄位。

personFields

string (FieldMask format)

必要欄位。欄位遮罩會限制傳回的每位使用者欄位。您可以使用半形逗號分隔多個欄位。有效值如下:

  • addresses
  • ageRanges
  • 傳記
  • 生日
  • calendarUrls
  • clientData
  • coverPhotos
  • emailAddresses
  • 活動
  • externalIds
  • 性別
  • imClients
  • 興趣
  • locales
  • 位置
  • 會籍
  • 中繼資料
  • miscKeywords
  • 名稱
  • 暱稱
  • 職業
  • 機構組織
  • phoneNumbers
  • 相片
  • 關係
  • sipAddresses
  • skills
  • 網址
  • userDefined
sources[]

enum (ReadSourceType)

選用設定。要傳回的來源類型遮罩。如果未設定,預設值為 READ_SOURCE_TYPE_CONTACTREAD_SOURCE_TYPE_PROFILE

要求主體

要求主體必須為空白。

回應主體

針對依資源名稱取得使用者清單的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "responses": [
    {
      object (PersonResponse)
    }
  ]
}
欄位
responses[]

object (PersonResponse)

每個要求的資源名稱的回應。

授權範圍

無須授權即可存取公開資料。私人資料必須具備下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/contacts
  • https://www.googleapis.com/auth/contacts.readonly
  • https://www.googleapis.com/auth/contacts.other.readonly
  • https://www.googleapis.com/auth/directory.readonly
  • https://www.googleapis.com/auth/profile.agerange.read
  • https://www.googleapis.com/auth/profile.emails.read
  • https://www.googleapis.com/auth/profile.language.read
  • https://www.googleapis.com/auth/user.addresses.read
  • https://www.googleapis.com/auth/user.birthday.read
  • https://www.googleapis.com/auth/user.emails.read
  • https://www.googleapis.com/auth/user.gender.read
  • https://www.googleapis.com/auth/user.organization.read
  • https://www.googleapis.com/auth/user.phonenumbers.read
  • https://www.googleapis.com/auth/userinfo.email
  • https://www.googleapis.com/auth/userinfo.profile
  • https://www.googleapis.com/auth/profile.language.read

詳情請參閱授權指南